#
# Conditional build:
%bcond_without	qsa		# build with bundled QtSingleApplication

%define		qtver	4.5
%define		rasterbar_ver	1:1.0.6
Summary:	qbittorrent - Qt4-based torrent client
Summary(hu.UTF-8):	qbittorrent - Qt4-alapú torrent kliens
Summary(pl.UTF-8):	qbittorrent - graficzny klient torrenta oparty na Qt4
Name:		qbittorrent
Version:	3.2.5
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/qbittorrent/%{name}-%{version}.tar.gz
# Source0-md5:	81e6f6d869d16e652c6245889b349535
Patch0:		lang-hu-2.3.0.patch
Patch1:		qmake.patch
URL:		http://qbittorrent.sourceforge.net/
BuildRequires:	GeoIP-devel
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
%{?with_qsa:BuildRequires:	QtSingleApplication-devel >= 2.6-5}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	boost-devel >= 1.36.0
BuildRequires:	libnotify-devel >= 0.4.2
BuildRequires:	libtorrent-rasterbar-devel >= %{rasterbar_ver}
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-linguist >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	which
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	libtorrent-rasterbar >= %{rasterbar_ver}
Requires:	python >= 1:2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qTorrent - Qt4-based torrent client.

%description -l hu.UTF-8
qBittorrent - Qt4-alapú torrent kliens

%description -l pl.UTF-8
qTorrent - graficzny klient torrenta oparty na Qt4.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%if %{with qsa}
#%{__rm} -r src/qtsingleapp
%endif

%build
%{__aclocal}
%{__autoconf}
%configure \
	--verbose \
	--prefix=%{_prefix} \
	--with-boost-libdir=%{_libdir} \
	%{?with_qsa:--with-qtsingleapplication=system}

%{__make} \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc NEWS AUTHORS TODO Changelog
%attr(755,root,root) %{_bindir}/qbittorrent
%{_datadir}/appdata/qBittorrent.appdata.xml
%{_mandir}/man1/qbittorrent.1*
%{_iconsdir}/hicolor/*/apps/qbittorrent.png
%{_desktopdir}/qBittorrent.desktop
%{_pixmapsdir}/qbittorrent.png
%changelog
* Sun May 22 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qbittorrent.git;a=log;h=master

* Sun May 22 2016 Jan Rękorajski <baggins@pld-linux.org> 0bf96b9
- boost 1.61 rebuild
- release 3 (by relup.sh)

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> 581c07c
- boost 1.61 rebuild
- release 2 (by relup.sh)

* Thu Nov 19 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 1e16f4c
- up to 3.2.5

* Tue Nov 17 2015 Jan Rękorajski <baggins@pld-linux.org> 2926c0c
- release 3 (by relup.sh)

* Mon Nov 16 2015 Jan Rękorajski <baggins@pld-linux.org> 59afd30
- release 2 (by relup.sh)

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 81fbad4
- up to 3.2.3

* Thu Jun 25 2015 Jan Rękorajski <baggins@pld-linux.org> 7331c99
- fix qmake detection

* Wed Jun 24 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 52dc38c
- patches don't needed... probably ;-)

* Sun Jun 21 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> e558db2
- up to 3.2.0

* Thu Feb 19 2015 Jan Rękorajski <baggins@pld-linux.org> a64a35a
- fix moc problems on boost 1.57.0
- rel 2

* Thu Feb 12 2015 Szymon Siwek <sls@pld-linux.org> 29fa689
- added BR: qt4-linguist

* Thu Feb 05 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 0132869
- up to 3.1.11

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 986e8a7
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

* Wed Aug 20 2014 Elan Ruusamäe <glen@delfi.ee> 0861ce3
- up to 3.1.9.2, no changes since 3.1.9 other than rebuild for windows/mac for heartbleed

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> bcb244c
- up to 3.1.9; pass CXX

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 023307b
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> e40238d
- fix ambiguity of a c++ method call
- rel 1

* Thu Jul 11 2013 Jan Rękorajski <baggins@pld-linux.org> 56212c1
- up to 3.0.10

* Sat Mar 30 2013 Elan Ruusamäe <glen@delfi.ee> 8553671
- up to 3.0.9; fails with  some C++ errors

* Fri Oct 26 2012 Elan Ruusamäe <glen@delfi.ee> ceedd8f
- up to 3.0.6

